Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.io
Class ByteCodeInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.DataInputStream
                  org.gjt.jclasslib.io.ByteCodeInputStream

All Implemented Interfaces:
  ByteCodeInput, DataInput

public class ByteCodeInputStream
extends DataInputStream
implements ByteCodeInput

`DataInputStream` which extends `ByteCodeInput`.

Version:
  $Revision: 1.4 $ $Date: 2003/08/18 07:58:12 $
Author:
  Ingo Kegel

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`ByteCodeInputStream(InputStream in)` Constructor.

Method Summary
`int` | `getBytesRead()` Get the number of bytes read.

Methods inherited from class java.io.DataInputStream
`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

Constructor Detail

### ByteCodeInputStream

    public ByteCodeInputStream(InputStream in)

  Constructor.

Parameters:
  `in` - the input stream.

Method Detail

### getBytesRead

    public int getBytesRead()

  Description copied from interface: `ByteCodeInput`
  Get the number of bytes read.

  Specified by:
    `getBytesRead` in interface `ByteCodeInput`
  Returns:
    the number of bytes

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD